com.h3c.sdn.metric

## Enum MetricDescriptor.Type

- java.lang.Object
- - java.lang.Enum<MetricDescriptor.Type>
  - - com.h3c.sdn.metric.MetricDescriptor.Type

- All Implemented Interfaces:
    Serializable, Comparable<MetricDescriptor.Type>
  Enclosing class:
    MetricDescriptor

      public static enum MetricDescriptor.Type
      extends Enum<MetricDescriptor.Type>

  The set of permitted values for `TimeStampedMetric` types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COUNTER`
    `ENUMERATION`
    `GAUGE`
    `HISTOGRAM`
    `METER`
    `RATIO_GAUGE`
    `ROLLING_COUNTER`
    `TIMER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MetricDescriptor.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MetricDescriptor.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COUNTER

          public static final MetricDescriptor.Type COUNTER

    - #### ENUMERATION

          public static final MetricDescriptor.Type ENUMERATION

    - #### GAUGE

          public static final MetricDescriptor.Type GAUGE

    - #### HISTOGRAM

          public static final MetricDescriptor.Type HISTOGRAM

    - #### METER

          public static final MetricDescriptor.Type METER

    - #### RATIO_GAUGE

          public static final MetricDescriptor.Type RATIO_GAUGE

    - #### ROLLING_COUNTER

          public static final MetricDescriptor.Type ROLLING_COUNTER

    - #### TIMER

          public static final MetricDescriptor.Type TIMER

  - ### Method Detail

    - #### values

          public static MetricDescriptor.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MetricDescriptor.Type c : MetricDescriptor.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MetricDescriptor.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.